Bug 844120 - Evolution using EWS crashes when password is changed in seahorse
Evolution using EWS crashes when password is changed in seahorse
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
17
i686 Linux
unspecified Severity low
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-29 01:03 EDT by Bojan Smojver
Modified: 2013-07-31 23:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:45:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bojan Smojver 2012-07-29 01:03:32 EDT
Description of problem:
Most Exchange sites enforce periodic password change. If on such a password change one changes the stored password using seahorse while Evo is running (and while still being connected to Exchange over EWS) and after Evo reported that the password is wrong on mail refresh, Evo may crash.

Version-Release number of selected component (if applicable):
evolution-3.4.3-2.fc17.i686

How reproducible:
Once thus far.

Steps to Reproduce:
1. Change AD password, while connected to Exchange using EWS.
2. Change stored password using seahorse after Evo reports incorrect password on mail refresh.
3. Evo crashes after a while.
  
Actual results:
Evo crashes.

Expected results:
Should pick up the new password and continue.

Additional info:
Exchange server was also behaving a bit odd at the time. The crash may have been a result of some other back end failure. Unfortunaly, abrt did not catch anything.
Comment 1 Milan Crha 2012-07-30 05:07:05 EDT
Thanks for a bug report. I'm afraid without backtrace it'll be hard to find the right cause. I suggest to try a test package [1] which contains quite many fixes which will be part of evolution-ews-3.4.4, and I recall some similar crash being addressed there as well. The tests of the package show that this is less crashing than before.

If you want to get a backtrace without using ABRT, then you can run evolution under gdb (please install debuginfo packages for evolution-data-server, evolution and evolution-ews first, and make sure they will be of the same version as binary packages), and get a backrace. You can do it with command like this:
   $ gdb evolution --ex r --ex "t a a bt" --ex q

Please let me know whether the test package helped. Thanks in advance.

[1] http://koji.fedoraproject.org/koji/taskinfo?taskID=4335132
Comment 2 Fedora End Of Life 2013-07-03 20:15:07 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-07-31 23:45:28 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.